| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Static Public Member Functions | List of all members
Digikam::CameraList Class Reference
Inheritance diagram for Digikam::CameraList:

## Signals
void | signalCameraAdded (CameraType *)
void | signalCameraRemoved (QAction *)

## Public Member Functions
| CameraList (QObject *const parent, const QString &file)
CameraType * | autoDetect (bool &retry)
QList< CameraType * > * | cameraList () const
bool | changeCameraStartIndex (const QString &cameraTitle, int startIndex)
void | clear ()
CameraType * | find (const QString &title) const
void | insert (CameraType *const ctype)
bool | load ()
void | remove (CameraType *const ctype)
bool | save ()

## Static Public Member Functions
static CameraList * | defaultList ()
static bool | findConnectedCamera (int vendorId, int productId, QString &model, QString &port)